searchData={"items":[{"type":"extras","title":"Nerves System for the SmartRent Hub (OSS)","doc":"# Nerves System for the SmartRent Hub (OSS)\n\nThis is the base Nerves System configuration for the [SmartRent\nHub](http://smartrent.com/) used for public trainings and open source purposes.\n\n![SmartRent Hub image](assets/images/smartrent-hub.jpg)\n\n| Feature              | Description                        |\n| -------------------- | ---------------------------------- |\n| CPU                  | 1 GHz ARM Cortex-A8                |\n| Memory               | 512 MB DRAM                        |\n| Storage              | MicroSD                            |\n| Linux kernel         | 5.10 w/ BBB patches                |\n| IEx terminal         | ttyS0 via the FTDI connector       |\n| UART                 | LTE @ttyS1, Z-Wave @ttyS4          |\n| USB                  | Two host interfaces - LTE and WiFi |\n| I2C                  | i2c-1 to PMIC to ATECC608A         |\n| Ethernet             | No                                 |\n| LEDs                 | Red/green LEDs exposed via /sys/class/leds |","ref":"readme.html"},{"type":"extras","title":"Console access - Nerves System for the SmartRent Hub (OSS)","doc":"The console is configured to output to `ttyS0`. This can be accessed by soldering\nwires onto test points on the underside of the board.\n\nTODO: show where","ref":"readme.html#console-access"},{"type":"extras","title":"Device tree overlays - Nerves System for the SmartRent Hub (OSS)","doc":"This system does not enable or use device tree overlays. All device tree\nconfiguration for the hub is in the main device tree file -\n`am335x-smartrent.dts`","ref":"readme.html#device-tree-overlays"},{"type":"extras","title":"WiFi - Nerves System for the SmartRent Hub (OSS)","doc":"TODO","ref":"readme.html#wifi"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.28.1 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Fixes\n  * Fix CTRL+R over ssh\n\n* Updated dependencies\n  * [nerves_system_br v1.23.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.2)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87y1je6wva.fsf@48ers.dk/T/)","ref":"changelog.html#v0-28-1"},{"type":"extras","title":"v0.28.0 - Changelog","doc":"This is a major update that brings in Erlang/OTP 26 and Buildroot 2023.02.2.\n\n* New features\n  * CA certificates are included for OTP 26.\n\n* Updated dependencies\n  * [nerves_system_br v1.23.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.1)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87wn03ifbl.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.0.2](https://erlang.org/download/OTP-26.0.2.README)","ref":"changelog.html#v0-28-0"},{"type":"extras","title":"v0.27.2 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.5)\n  * [Buildroot 2022.11.3](https://lore.kernel.org/buildroot/878rfuxbxx.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v0-27-2"},{"type":"extras","title":"v0.27.1 - Changelog","doc":"This is a bug fix and Erlang version bump from 25.2 to 25.2.3. It should be a\nlow risk upgrade.\n\n* Fixes\n  * Set Erlang crash dump timer to 5 seconds, so if an Erlang crash dump does\n    happen, it will run for at most 5 seconds. See erlinit.conf.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.3)\n  * [Buildroot 2022.11.1](https://lore.kernel.org/buildroot/87ilh4dvax.fsf@dell.be.48ers.dk/T/#u)","ref":"changelog.html#v0-27-1"},{"type":"extras","title":"v0.27.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes. It should be a low risk upgrade.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.1)\n  * [Buildroot 2022.11](http://lists.busybox.net/pipermail/buildroot/2022-December/656980.html)\n  * GCC 12.2","ref":"changelog.html#v0-27-0"},{"type":"extras","title":"v0.26.3 - Changelog","doc":"* Changes\n  * Two Buildroot patch updates and an Erlang minor version update\n  * Nerves Heart v2.0 is now included. Nerves Heart connects the Erlang runtime\n    to a hardware watchdog. v2.0 has numerous updates to improve information\n    that you can get and also has more safeguards to avoid conditions that could\n    cause a device to hang forever.\n\n* Updated dependencies\n  * [nerves_system_br v1.21.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.6)\n  * [Erlang/OTP 25.2](https://erlang.org/download/OTP-25.2.README)\n  * [Buildroot 2022.08.3](https://lore.kernel.org/buildroot/87r0x7z5cw.fsf@dell.be.48ers.dk/T/#u)\n  * [nerves_heart v2.0.2](https://github.com/nerves-project/nerves_heart/releases/tag/v2.0.2)","ref":"changelog.html#v0-26-3"},{"type":"extras","title":"v0.26.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.21.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.2)\n  * [Erlang/OTP 25.1.2](https://erlang.org/download/OTP-25.1.2.README)","ref":"changelog.html#v0-26-2"},{"type":"extras","title":"v0.26.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.21.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.1)\n  * [Buildroot 2022.08.1](http://lists.busybox.net/pipermail/buildroot/2022-October/652816.html)\n  * [Erlang/OTP 25.1.1](https://erlang.org/download/OTP-25.1.1.README)","ref":"changelog.html#v0-26-1"},{"type":"extras","title":"v0.26.0 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.21.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.0)\n  * [Buildroot 2022.08](http://lists.busybox.net/pipermail/buildroot/2022-September/650852.html)\n  * [Erlang/OTP 25.1](https://erlang.org/download/OTP-25.1.README)","ref":"changelog.html#v0-26-0"},{"type":"extras","title":"v0.25.3 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.6)\n  * [Erlang/OTP 25.0.4](https://erlang.org/download/OTP-25.0.4.README)\n  * [Buildroot 2022.05.2](http://lists.busybox.net/pipermail/buildroot/2022-August/650546.html)","ref":"changelog.html#v0-25-3"},{"type":"extras","title":"v0.25.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.5)\n  * [Erlang/OTP 25.0.4](https://erlang.org/download/OTP-25.0.4.README)","ref":"changelog.html#v0-25-2"},{"type":"extras","title":"v0.25.1 - Changelog","doc":"* Updates\n  * Add iptables options so that srhub can be used as a WiFi hotspot","ref":"changelog.html#v0-25-1"},{"type":"extras","title":"v0.25.0 - Changelog","doc":"Initial release\n\n* Dependencies\n  * [nerves_system_br v1.20.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.4)\n  * [Buildroot 2022.05](http://lists.busybox.net/pipermail/buildroot/2022-June/644349.html)\n  * [Erlang/OTP 25.0.3](https://erlang.org/download/OTP-25.0.3.README)","ref":"changelog.html#v0-25-0"}],"content_type":"text/markdown"}